MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001288Far ManagerPanelpublic2010-02-22 12:092010-05-03 21:44
ReporterArty 
Assigned Toalexy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionSeven
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0001288: Медленная работа с сетевыми папками в режиме показа овнеров
DescriptionFAR очень медленно перечитывает содержимое сетевых папок даже с небольшим количеством файлов в них - ~6 секунд на 370 файлов.
Steps To ReproduceНа компьютере под управлением Windows Seven зайти в сетевую шару с количеством файлов в ней больше 100.
Additional Information   Записаны логи process monitor (в аттаче) для версий FAR 2.0 build 1416 x86 и FAR 1.75 build 2623 x86. В первом случае присутствуют тормоза, во втором - их нет. Тормоза есть и на версии FAR 2.0 build 1100 x86.

   Есть подозрение, что тормозит только в Windows Seven (проверено на двух компьютерах) - на компьютере с XP все работает быстро.
TagsNo tags attached.
Build1535
Attached Filesrar file icon logs.rar [^] (216,202 bytes) 2010-02-22 12:09
7z file icon 2010_02_28.7z [^] (665,987 bytes) 2010-02-28 18:27
rar file icon Report_2010_04_09.rar [^] (1,021,221 bytes) 2010-04-09 17:21

- Relationships

-  Notes
(0005004)
alexy (administrator)
2010-02-26 14:38

Какой у тебя режим панелей в 2.0, какие колонки показываются?
(0005005)
alexy (administrator)
2010-02-26 15:15

Пробуем вот это:
http://farmanager.com/farbugs/Far2.win7network.zip [^]

Если всё ещё тормозит то собери ещё раз procmon но именно с этой версией.
(0005009)
Arty (reporter)
2010-02-27 00:32

В этой версии аналогичные тормоза.

Путем экспериментов выяснил, что такое замедление вызывают типы колонок:
   P[C,T,F,E] - упакованный размер файла
   O[L] - владелец файла

Результаты считывания каталога с ~ 3500 файлов (добавлена колонка PC):
 18 сек - 1.75 RC build 2565 x86
290 сек - 2.0 alpha win7netwrok based on build 1420 x86
290 сек - 2.0 build 1420 x86

в версии 1.75 скорость считывания на порядок выше и замедление не так бросается в глаза.
(0005011)
alexy (administrator)
2010-02-27 12:22

А где новый procmon который я просил?
(0005012)
alexy (administrator)
2010-02-27 12:48

И что то мне мало верится что ты в Far 1.75 те же колонки выставил. Ибо в тех логах что ты прислал far 1.75 нифига не читает никакую инфу кроме списка файлов.
(0005013)
Arty (reporter)
2010-02-27 14:05
edited on: 2010-02-27 14:06

Логи будут не раньше понедельника, т.к. дома стоит x64 версия оси.

(0005014)
alexy (administrator)
2010-02-27 14:54

Мне пофиг с какой винды (x86 или x64) логи, главное чтоб с тем фаром что я дал.
И у тебя точно в 1.7 такие же настройки режима панели?
(0005095)
alexy (administrator)
2010-03-22 22:56

Проверь на 1452.
(0005181)
alexy (administrator)
2010-04-08 21:52

Так как там оно на последних билдах?
(0005185)
Arty (reporter)
2010-04-09 17:21

Сори за задержку - кранчи, не до тестов было..

Вот на последних билдах Report_2010_04_09.rar

Папка 1636 различных файлов:
FAR v1.75 build 2627 x86, обновление панели ~ 10 секунд
FAR v2.0 build 1491 x86, обновление панели ~ 22 секунды

и там и там режимы панели одинаковые, настройки колонок:
Типы колонок
N,SC,PC
Типы колонок строки статуса
O,DC,DM,SC
(0005187)
alexy (administrator)
2010-04-09 19:04

значит уже типа намного лучше?
(0005191)
Arty (reporter)
2010-04-09 21:31

лучше однозначно
(0005298)
alexy (administrator)
2010-05-01 01:35

Это можно закрывать или как?
(0005303)
Arty (reporter)
2010-05-02 21:48

В целом скорость считывания повысилась в разы, хотя и не дошла до той, что была в 1.7x ветке. Не знаю, существует ли возможность приблизить её еще ближе к прежней, поэтому решение о закрытии скорее должен принимать кто-то более близко знакомый с кодом этой части FAR.
PS. Меня текущая скорость работы более-менее устраивает.
(0005304)
alexy (administrator)
2010-05-02 22:50

1535

- Issue History
Date Modified Username Field Change
2010-02-22 12:09 Arty New Issue
2010-02-22 12:09 Arty File Added: logs.rar
2010-02-26 14:38 alexy Note Added: 0005004
2010-02-26 14:58 alexy Status new => assigned
2010-02-26 14:58 alexy Assigned To => alexy
2010-02-26 15:15 alexy Note Added: 0005005
2010-02-26 22:03 alexy Status assigned => feedback
2010-02-27 00:32 Arty Note Added: 0005009
2010-02-27 00:32 Arty Status feedback => assigned
2010-02-27 12:22 alexy Note Added: 0005011
2010-02-27 12:48 alexy Note Added: 0005012
2010-02-27 14:05 Arty Note Added: 0005013
2010-02-27 14:06 Arty Note Edited: 0005013 View Revisions
2010-02-27 14:54 alexy Note Added: 0005014
2010-02-28 18:27 Arty File Added: 2010_02_28.7z
2010-03-22 22:56 alexy Note Added: 0005095
2010-04-08 21:52 alexy Note Added: 0005181
2010-04-09 17:21 Arty Note Added: 0005185
2010-04-09 17:21 Arty File Added: Report_2010_04_09.rar
2010-04-09 19:04 alexy Note Added: 0005187
2010-04-09 21:31 Arty Note Added: 0005191
2010-05-01 01:35 alexy Note Added: 0005298
2010-05-01 01:35 alexy Status assigned => feedback
2010-05-02 21:48 Arty Note Added: 0005303
2010-05-02 21:48 Arty Status feedback => assigned
2010-05-02 22:48 alexy Summary Медленная работа с сетевыми папками в Windows 7 => Медленная работа с сетевыми папками в режиме показа овнеров
2010-05-02 22:50 alexy Note Added: 0005304
2010-05-02 22:50 alexy Status assigned => feedback
2010-05-03 21:44 alexy Build => 1535
2010-05-03 21:44 alexy Status feedback => closed
2010-05-03 21:44 alexy Resolution open => fixed
2010-05-03 21:44 alexy Fixed in Version => 2.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker